<?php
// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBox.class.php');
require_once(WBB_DIR.'lib/data/boxes/PortalHelpers.class.php');
require_once(WBB_DIR.'lib/data/boxes/StandardPortalBox.class.php');

/**
 * This box shows the online users
 *
 * @package	com.woltlab.community.portal.useronline
 * @author	WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	data.boxes
 * @category	Portal
 */
class UserOnlineBox extends PortalBox implements StandardPortalBox {
	/**	 
	 * @see StandardPortalBox::readData()
	 */
	public function readData() {
		WCF::getTPL()->assign('usersOnline', PortalHelpers::getUsersOnlineList());
	}
	
	/**	 
	 * @see StandardPortalBox::getTemplateName()
	 */
	public function getTemplateName() {
		return 'userOnline';
	}
}

?>